commit 1574c8992d07e5977b4c2f0512e1b05707cd9049
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri Jul 18 17:33:35 2025 +0200

    Updates for release

commit 9c914728bdcf3d2522e7a0f6a76441cb45f0809f
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Mon Jun 30 23:00:11 2025 +0200

    Improve file add/remove checks for ThunarFolder (#1649)
    
    - Do not allow idle-add ThunarFiles to ThunarFolder if they are already present
    - Do not allow to idle-remove ThunarFiles of a ThunarFolder if the folder does not have the file.
    
    Fixes #1613
    Fixes #1649
    Fixes #1650
    
    (cherry picked from commit 09d499d30414b4b0021a8f4e5cd9b07d37af2d61)

commit 17334c153e2566dc9a8bfa23679e69b419a4100e
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sat Jun 28 09:25:43 2025 +0200

    Properly update view after hidden file rename
    
    Fixes a regression which was introduced with 50f0b5a8
    
    (cherry picked from commit b586c7eaaffe7b5c63ab3d1a2d7dfda0bf774a60)

commit 342cab36ed6cce7f17895faf85d66b0d6c185915
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri Jun 27 12:06:58 2025 +0200

    Always reload ThunarFiles on change notice (#1650)
    
    Not only when the ThunarFile is known to the ThunarFolder
    
    (cherry picked from commit 6c8124969b2e2853077e9d9924eab1a0abe98328)

commit 34e563e89f82d58d09baeabc521646b91ea65cde
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri Jun 27 12:05:06 2025 +0200

    Directly notify after file reload (#1650)
    
    And only throttle consecutive reload calls
    
    (cherry picked from commit 58e9f5af2edbc15b4e32183c73dae1c629ba305b)

commit a4ba14fd591d1f00306f2586c08dfc537211b653
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 14 12:46:46 2025 +0200

    I18n: Update translation ar (80%).
    
    838 translated messages, 205 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 76a783b851d0988f7de65ffee9fe3cb18689501f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jul 14 00:47:11 2025 +0200

    I18n: Update translation ar (80%).
    
    838 translated messages, 205 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cf949f048381efc42887f9ff5a14dc53399385fe
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Sun Jul 13 16:42:11 2025 +0200

    Set initial state of "Restore" button (#1663)
    
    (cherry picked from commit a8be97314dd22e8204b88812e76819ec4a07b139)

commit eddf1709d49369d9b035677cee4bb6a7c82b26fa
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jul 13 00:47:17 2025 +0200

    I18n: Update translation vi (99%).
    
    1040 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 24f99daa1a52890f5291d453bedb8b2540a19e7b
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 12 12:46:42 2025 +0200

    I18n: Update translation vi (99%).
    
    1035 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d5f3012e2e4a61edd400de9bbb735c2ac817ca67
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 12 00:47:04 2025 +0200

    I18n: Update translation pl (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 09e1ac04d7374093d039bd109cb5f4df0e0cabf7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 8 08:28:47 2025 +0200

    file: Fix quoting when running shell scripts in a terminal
    
    Fixes: #1661
    (cherry picked from commit abecf50c33cf7d6ca215ce5374a51aceb662c564)
    Resolved conflict: xfce-open --> exo-open

commit f81cbb2d176cce95b903f3d74e2eb56b0ea8b5bf
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun Jul 6 15:03:02 2025 -0400

    Avoid use-after-free in rename dialog when file is changed underneath
    
    Fixes #1639
    
    (cherry picked from commit b089105f236dff80ff51637cc9c1340a60deeba7)

commit 1989647bfe0f6ae68f7ce87f6c9adf3d07cf4700
Author: Anonymous <noreply@xfce.org>
Date:   Thu Jul 3 12:46:50 2025 +0200

    I18n: Update translation zh_CN (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f1c3a90672c435d9e4e549daf1b63856a75d0fff
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 30 00:46:46 2025 +0200

    I18n: Update translation nb (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fa94680dc349c37576a9509968656fac5c441688
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jun 25 12:47:18 2025 +0200

    I18n: Update translation tr (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b64ca146b18bc6005968711ebc6c00b67e0f865e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 23 12:46:56 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6875b153229cf6caea4d250f3096f2e346b0d7d3
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 23 00:46:52 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit acdc096034f5c19d85a36b8cbf38367c179f790a
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 21 00:46:48 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1d7de3d8539784314611b92b5e6c22ee838663e7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 20 00:46:51 2025 +0200

    I18n: Update translation ar (71%).
    
    743 translated messages, 300 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9707f10f32005169b213eeae855b0f6014921aa9
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 15 12:48:27 2025 +0200

    I18n: Update translation eo (52%).
    
    548 translated messages, 495 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 84ebbe489c5a9e88d026ffdf71cb88d244138675
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 14 00:47:06 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3c8409482f217897acf062b72a69c5265424bcfa
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 13 12:47:33 2025 +0200

    I18n: Update translation ka (75%).
    
    789 translated messages, 254 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d4cb663a82c1739c15b0f227c8b8fed3111baa52
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Thu Jun 12 11:30:49 2025 -0400

    Fix a GFile leak in _thunar_io_jobs_rename
    
    Closes #1640
    
    (cherry picked from commit daaca2cb848ecff0d3f9dd9ab0949f9b45179e0b)

commit f128da45857167153880da2d807c4a522292de68
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 9 12:46:53 2025 +0200

    I18n: Update translation el (99%).
    
    1042 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 472268bcc15384bce53a3bc3eaffda111191ff68
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 8 12:47:35 2025 +0200

    I18n: Update translation ar (70%).
    
    740 translated messages, 303 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 36a664ef2ed40535c52796acedf30ece8dde2ada
Author: Anonymous <noreply@xfce.org>
Date:   Mon Jun 2 00:46:47 2025 +0200

    I18n: Update translation gl (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit db2d35cfd2e03098632faace9ad517a576b83266
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 1 00:47:01 2025 +0200

    I18n: Update translation ar (70%).
    
    739 translated messages, 304 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06177dd91bb44755a78d4d6351cb09be16f5164b
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 31 12:47:29 2025 +0200

    I18n: Update translation es (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 44b9c649c22cfa4e5512bb9537d535c13275272e
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 31 12:47:29 2025 +0200

    I18n: Update translation ar (70%).
    
    737 translated messages, 306 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0829f835f868cb26b8c35dbecb5d41140e23d9f9
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Tue May 20 18:26:59 2025 +0200

    Fix use-after-free in thunar_renamer_dialog_response (#1458)
    
    It could be triggered by closing the main window during bulk rename.
    
    (cherry picked from commit 5dc09b62bb751a30e5df36c98f63e8a196380a04)

commit d22b6890d1981613d9276e29822bfdabd41fb7f8
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Tue May 20 18:35:29 2025 +0200

    Fix use-after-free on exit with search tabs open (#1593)
    
    (cherry picked from commit 014cbc09a608c7225b868ebcc824f67d4657b149)

commit 68d1cd6bb0bac2fe407bed843d09e1610a58c932
Author: Anonymous <noreply@xfce.org>
Date:   Sun May 18 00:46:53 2025 +0200

    I18n: Update translation da (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b5a333750aee9b6fad8fc59be76075696b24c291
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri May 16 08:44:14 2025 +0200

    Back to development

commit f66b566c0e3bf6e67e68599c971f85ba280c7524
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Fri May 16 08:35:46 2025 +0200

    Updates for release

commit 578d1ec6c273ff9f6741931f5fbb07e1b516ea0f
Author: Shawn Henson <shawn@shenso.name>
Date:   Mon May 5 17:39:52 2025 -0400

    Always warn user before permanent deleting files
    
    The warn argument on thunar_application_unlink_files currently applies
    to both trashing and permanent deletes. Upstream trash functions do not
    account for the permanent argument being mutable, so permanent deletes
    occur without warning when any file in the file list cannot be trashed.
    
    This commit changes thunar_application_unlink_files to only reference
    the warn argument when moving files to trash, and assume all permanent
    deletions should ask the user for confirmation.
    
    Fixes: #1621
    (cherry picked from commit a068aee5f5da25cf58d6f02f04c44a60bc5df6ed)

commit 55c8071f3497767f18ca474243f49f2f45ead44b
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun May 11 11:12:56 2025 -0400

    Fix string leaks when UCAs use a submenu
    
    (cherry picked from commit 3b6b715cc72a485a319ea9c66bf864d0b71b6c08)

commit c0b7cbfb4da569097c297c712ab33268b2100992
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sun May 11 10:56:47 2025 -0400

    Fix a potential leak in thunar_action_manager_append_custom_actions
    
    (cherry picked from commit 596f2a7f90b5aae6401b9b85db77afd7dc2df029)

commit 061332b09c9223ac9a72079700e6a4528f24aa8e
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Fri May 9 02:16:51 2025 -0400

    Fix leaks with ThunarMenuX objects
    
    (cherry picked from commit a0f8b06f5f92747900a998ad240cb6505e1cb496)

commit bdf1bd987fb056200f44794a6796749255ea7dcf
Author: correctmost <11866-correctmost@users.noreply.gitlab.xfce.org>
Date:   Sat May 10 22:30:35 2025 -0400

    Fix thunarx_menu_get_items leak when multiple UCAs share a submenu
    
    (cherry picked from commit e995982e6b72fc6eb528671bc21f0f7c62add005)

commit 204a03ba0a9e105e048b2689a4f3d8a2389e0128
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 9 00:47:03 2025 +0200

    I18n: Update translation fr (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0b0f1f2646d823b8ce753b48f0b85bc63db9ba3a
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Sun Apr 27 15:10:05 2025 +0200

    Fix refresh on row-changed in list view (#1584)
    
    Redraw the child widget instead.
    
    Fixes: 2c828c90
    (cherry picked from commit 18639ea8887200267ffa0daa6273e97233ef2932)

commit 393b01557eaf7f49792baa8e68a933e4cfa6096f
Author: Anonymous <noreply@xfce.org>
Date:   Sun May 4 12:46:49 2025 +0200

    I18n: Update translation sr (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1bfc6a983110ac1dcab4e8029683885449040265
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sat May 3 20:58:15 2025 +0200

    Revert "Allow DnD from host to guest VM (#113)"
    
    This reverts commit 7f54d4b03275a01e09576167b0c1b5f0fb3ef47e.

commit 6182adacd0905c4c7548a471a5908a6cf2add95d
Author: Anonymous <noreply@xfce.org>
Date:   Sat May 3 12:46:43 2025 +0200

    I18n: Update translation zh_CN (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d64f35c942c1cbb333b5f46930ab3da48c55fe75
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Fri May 2 13:56:49 2025 +0200

    Add missing NULL check before unref call
    
    (cherry picked from commit 4c12c701f317edeea9d76de7e03a9109a70730de)

commit 30b52a643125a6665360d4ed6695f42a46a85b4f
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 2 12:46:52 2025 +0200

    I18n: Update translation sv (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b586025eb41079dcd7fc106d83cd3c1ba577b30f
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 2 00:46:33 2025 +0200

    I18n: Update translation pt_BR (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 484e768351c10ef938bed50b7a82c39ea70b93d8
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Thu May 1 11:47:15 2025 +0200

    Fix popup position of DnD menu
    
    The menu is misplaced when doing a right-click drag-and-drop from
    xfdesktop to Thunar ("Event with type 19 not holding a GdkSeat").
    So, skip using the toplevel window workaround in this case.
    
    Fixes: 63aa3a9a
    (cherry picked from commit 1e2f8cf5c6d1a234a08c47ea4d84444edb6875b4)

commit 50db69bc40899234de92495ebfeaa95eca2e38d3
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 1 12:47:06 2025 +0200

    I18n: Update translation pt (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e3fe77646affc0413eeffd04543cb17ac5ecb31b
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 1 12:47:06 2025 +0200

    I18n: Update translation oc (92%).
    
    963 translated messages, 80 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fc1f68e9c377cbc34b70ff4011391b0a0c7a7712
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sun Apr 27 10:21:30 2025 +0200

    UCA: Correct PWD for submenu folder items (#1615)
    
    (cherry picked from commit 418b901b8a6c4b4839dd5b8cbdc5b4775767f3d0)

commit 8e1e5340c5fe5a09e57a91c967e563b9a451be49
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 1 00:47:46 2025 +0200

    I18n: Update translation ja (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4ea1d07258faa2ebdc943b4c64aa31a344ae7353
Author: Anonymous <noreply@xfce.org>
Date:   Thu May 1 00:47:46 2025 +0200

    I18n: Update translation de (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 485ae6644fefaf8946b65f12c27d9adde2dd149b
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 12:46:53 2025 +0200

    I18n: Update translation zh_TW (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4e584daf05925d15867b2119d3383b2be0aa9f9d
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 12:46:52 2025 +0200

    I18n: Update translation ca (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7f54d4b03275a01e09576167b0c1b5f0fb3ef47e
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Sun Apr 27 15:15:31 2025 +0200

    Allow DnD from host to guest VM (#113)
    
    We simply add the missing "text/uri-list" type to the target check in
    thunar_standard_view_drag_motion. The main view can now act as a target
    for drag-and-drop actions from the host to a VirtualBox guest instance.
    
    (cherry picked from commit 4cab2a085a4292b19d8cf655b645d2a188a542e1)

commit feb5e722ca1b93b21f35f381ad6e8aa1814dca8c
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Tue Apr 22 20:12:47 2025 +0200

    wayland: Fix popup menu not closing (#1592)
    
    Implement our own version of gtk_menu_popup_at_pointer() to work around
    a GTK3 Wayland bug that prevents the menu from being dismissed via click
    in certain areas outside of the menu.
    The main difference is the added gdk_window_get_toplevel() call.
    
    See: https://gitlab.gnome.org/GNOME/gtk/-/issues/160
    (cherry picked from commit 63aa3a9a53d4d1ab67274f0c2b811669d0fa9716)

commit e00084d007b4737ca5dc3217e86e2a07f6b66670
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:15 2025 +0200

    I18n: Update translation sq (99%).
    
    1042 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b308af2b5a815910edb44ca4f40a74f18ba331c2
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:15 2025 +0200

    I18n: Update translation ro (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2d6ca45d775e7ef0d2b550b420e84022ef27f0fa
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:15 2025 +0200

    I18n: Update translation pl (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 664b00e43b826b326ff61881de259cba90b349d9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:15 2025 +0200

    I18n: Update translation nl (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2414aa0714142178107cb41bf7361e665352dce9
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:14 2025 +0200

    I18n: Update translation it (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 37137caf344d4775eefb0fc513f974cf24c41aff
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:14 2025 +0200

    I18n: Update translation et (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5e47da3ce9c8e28130de917c1636d8c3fc48ae6a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:14 2025 +0200

    I18n: Update translation cs (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 95383b1ea556a12f6c012c4269a82a9ce8196062
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 30 00:47:14 2025 +0200

    I18n: Update translation bg (100%).
    
    1043 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 98aa6a2ed6089f9a082d20431eff9ccf242492ee
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Mon Apr 28 17:54:32 2025 +0200

    Check if file exists before opening its location (#1257)
    
    (cherry picked from commit 32d93057de4362cd3d8b3d2d1d23a80a230512e4)

commit 8bea5bdc84c39f4854fb839037335e7771eeb91c
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 11 00:46:56 2025 +0200

    I18n: Update po/LINGUAS list

commit 1ede5ff74c22e0e725e40a3c1ca994029dcb25f7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 11 00:46:55 2025 +0200

    I18n: Add new translation ka (75%).
    
    785 translated messages, 256 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7d2b403b1da80b547d568c8c7a8d5638ea58ab54
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 9 12:46:57 2025 +0200

    I18n: Update translation oc (92%).
    
    958 translated messages, 83 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4764afde340eceb0246080f4cc85eeecbc6049ef
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Wed Apr 9 06:34:51 2025 +0000

    Prevent popups on wrong window (#1591) ()
    
    MR xfce/thunar!627
    
    (cherry picked from commit 464af7bde1d6404abe2669c6ade06e676e2b49d8)

commit c3cc47c491be1e5866597485964613f92d28d529
Author: Anonymous <noreply@xfce.org>
Date:   Thu Apr 3 12:47:08 2025 +0200

    I18n: Update translation oc (89%).
    
    935 translated messages, 106 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7e49866c2295d4a9af2c87ac94c5dc2626369cc6
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jan 19 12:41:33 2025 +0100

    thunar-tpa: Fix libxfce4panel include
    
    Include guards are added to headers other than libxfce4panel.h in
    libxfce4panel 4.21.0, so no headers other than this one should be
    included.
    
    Code preceding this patch can still be built by linking against
    libxfce4panel >= 4.21.0 by adding -DLIBXFCE4PANEL_COMPILATION to CFLAGS.
    
    Related: xfce/xfce4-panel!162

commit 0dd7a6dc0b8ada034d28af305a04bd4a108c0a16
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Tue Mar 25 23:22:44 2025 +0100

    Prevent criticals when switching current view (#1344)
    
    Exit search mode before (and not after) the new view is fully initialized.
    
    (cherry picked from commit 4649ac96023418ee4c0da4774fb007e5ef62a68f)

commit e284b3dce65cab6b6e1599cef484a17266257fc8
Author: Theo Linkspfeifer <lastonestanding@tutanota.com>
Date:   Wed Mar 26 20:42:38 2025 +0100

    Fix crash when destroying folder in list view (#1330) (#1568)
    
    Clean up the node's children in _thunar_tree_view_model_folder_destroy
    by reusing code from _thunar_tree_view_model_folder_error.
    
    (cherry picked from commit 572c892e6a2218e98cf86be6a150edbdd992e2c0)

commit 73db8d6a3e20c6e2d984f9c21d71bcb7b7ad5cee
Author: kressb-gitlab <kressb@moose.net>
Date:   Fri Mar 21 16:16:17 2025 +0000

    Fix crash in properties dialog (#1585)
    
    Fix crash when opening properties' dialog from search on three or more selected files in distinct directories.
    
    Fixes #1585
    
    MR xfce/thunar!618
    
    (cherry picked from commit b7393e15e2d142e8a42c55018198ed780f9afb5b)

commit 3bf402a1d98b886478fb9398ce9e57e4cc741498
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 21 00:47:33 2025 +0100

    I18n: Update translation pl (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 957b01ad3b77f4b25eb79daf2ab191240a9beeb1
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 21 00:47:33 2025 +0100

    I18n: Update translation hu (99%).
    
    1040 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c6106a3d0553f6cd44c18eecffcd127f402a7004
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 19 12:48:24 2025 +0100

    I18n: Update translation ca (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 14d4c483b55357af1eb4f5823df7f17ba939e4e4
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 19 00:47:14 2025 +0100

    I18n: Update translation et (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit af68334cb8299c874813ff9350436237b8656c7e
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 17 00:47:00 2025 +0100

    I18n: Update translation he (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7a3e2e5ccd63f0bee9d25acba767eb2098670f05
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 16 12:46:57 2025 +0100

    I18n: Update translation sr (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 544ff81eb89931a60d272b07678fe0e3acace7b8
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 15 00:46:43 2025 +0100

    I18n: Update translation it (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 895ca964d2b42c0b9cc71c5ef82d464dfdc8ba8e
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 13 00:47:00 2025 +0100

    I18n: Update translation nb (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d113ac8ab0b1b52e4f23cbe500f48ed452993701
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 13 00:47:00 2025 +0100

    I18n: Update translation fr (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4df7c775397c62c7e1187734c5b56a2fea421b7e
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 12 00:47:24 2025 +0100

    I18n: Update translation tr (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 77a1ceeeb222855c26721dfcdec51c7b8c1e43c4
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 12 00:47:24 2025 +0100

    I18n: Update translation ja (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fdf641e39308d127606755ffaca51c26c352de74
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 11 12:46:56 2025 +0100

    I18n: Update translation el (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d021e3e4fe2d8c4501cb55511cc785fda999cfab
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 10 12:47:11 2025 +0100

    I18n: Update translation sv (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 2367e22fb5f4447f641481344b9622aeaf8f5231
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 10 00:47:03 2025 +0100

    I18n: Update translation pt_BR (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 11c74a97cf1ca54b5577d7539097760b0a4313d2
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 10 00:47:03 2025 +0100

    I18n: Update translation en_GB (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5a26740527ec63119dfbbbe140e462b678ee93b0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 10 00:47:03 2025 +0100

    I18n: Update translation de (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4d23d9daa9d196db31c01713833d81ffd8df2e36
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 10 00:47:02 2025 +0100

    I18n: Update translation da (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 424d77ad078144f59cf614aec20cf5ca37228364
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 9 12:46:48 2025 +0100

    I18n: Update translation pt_BR (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d66446f79090bc201e0c8a5ef29c8969e4df5fbe
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 9 00:46:58 2025 +0100

    I18n: Update translation zh_CN (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 341f5cc418aa37444cf8a43c5e73327bb1546d43
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 9 00:46:58 2025 +0100

    I18n: Update translation pt (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit deb7877751fd05f0d93f7bf75f113fdad108418c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 8 00:47:10 2025 +0100

    I18n: Update translation it (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit df1197841ab690b603aaf5ab0180540baa50e3ed
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 8 00:47:10 2025 +0100

    I18n: Update translation bg (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 06575e51aa8f1c0bd9c0d410ffc8806be229d495
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 7 12:46:47 2025 +0100

    I18n: Update translation zh_TW (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8bcc9f4d5b291a049bb04ff3206e4658cba262fc
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 7 12:46:46 2025 +0100

    I18n: Update translation ca (100%).
    
    1041 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4009a96d274b70c5c8547f008014cfd537f3006b
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 7 00:48:08 2025 +0100
